package cn.superdesk.uniorder.dubbo.facade.operation;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.base.UnifiedOrder;
import cn.superdesk.uniorder.dao.entity.operation.UnifiedOrderIssues;
import cn.superdesk.uniorder.dto.param.operation.UnifiedOrderIssuesParam;
import cn.superdesk.uniorder.dto.param.operation.UnifiedOrderIssuesQueryCriteria;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description: 问题订单
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-01-29 16:47:14
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-01-29 16:47:14
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboUnifiedOrderIssuesService {

	/****************************************** extends BaseService 部分 start ******************************************/

	@Deprecated
	void addObj(UnifiedOrderIssuesParam param);

	@Deprecated
	void updateObj(UnifiedOrderIssuesParam param);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	UnifiedOrderIssues findById(Long id);

	@Deprecated
	PageInfo<UnifiedOrderIssues> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<UnifiedOrderIssues> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addUnifiedOrderIssues(UnifiedOrderIssuesParam param);

	void updateUnifiedOrderIssues(UnifiedOrderIssuesParam param);

	void deleteUnifiedOrderIssues(Long id);

	UnifiedOrderIssues findUnifiedOrderIssuesById(Long id);

	R<List<UnifiedOrderIssues>> pageQuery(UnifiedOrderIssuesQueryCriteria queryCriteria, int pageNun, int pageSize);

	List<UnifiedOrder> getToDoUnifiedOrderIssuesList(int pageNun, int pageSize);

	void runTaskUnifiedOrderIssues(UnifiedOrder entity);

	void developCall(String sourceJson, String processJson, String orderSn, String uid);

	void developCallBack(Integer processResult, String processReport, String uid);

}
